package com.br.fechadura.mobile.sampledata

import com.br.fechadura.mobile.api.model.GrupoPorta
import com.br.fechadura.mobile.api.model.GrupoUsuario
import com.br.fechadura.mobile.api.model.Porta
import com.br.fechadura.mobile.api.model.Usuario


val sampleDataAmbiente = listOf(
    "Bloco A",
    "Bloco B",
    "Bloco C",
    "Bloco D",
    "Garagem"
)
val sampleDataDoors = listOf(
    Porta(_id = "1", descricao = "Porta A1", ambiente = "Bloco A", ativo = true),
    Porta(_id = "2", descricao = "Porta A2", ambiente = "Bloco A", ativo = true),
    Porta(_id = "3", descricao = "Porta A3", ambiente = "Bloco A", ativo = true),
    Porta(_id = "4", descricao = "Porta A4", ambiente = "Bloco A", ativo = true),
    Porta(_id = "5", descricao = "Porta A5", ambiente = "Bloco A", ativo = true),
    Porta(_id = "6", descricao = "Porta B1", ambiente = "Bloco B", ativo = true),
    Porta(_id = "7", descricao = "Porta B2", ambiente = "Bloco B", ativo = true),
    Porta(_id = "8", descricao = "Porta B3", ambiente = "Bloco B", ativo = true),
    Porta(_id = "9", descricao = "Porta B4", ambiente = "Bloco B", ativo = true),
    Porta(_id = "10", descricao = "Porta B5", ambiente = "Bloco B", ativo = true),
    Porta(_id = "11", descricao = "Porta C1", ambiente = "Bloco C", ativo = true),
    Porta(_id = "12", descricao = "Porta C2", ambiente = "Bloco C", ativo = true),
    Porta(_id = "13", descricao = "Porta C3", ambiente = "Bloco C", ativo = true),
    Porta(_id = "14", descricao = "Porta C4", ambiente = "Bloco C", ativo = true),
    Porta(_id = "15", descricao = "Porta C5", ambiente = "Bloco C", ativo = true),
    Porta(_id = "16", descricao = "Porta D1", ambiente = "Bloco D", ativo = true),
    Porta(_id = "17", descricao = "Porta D2", ambiente = "Bloco D", ativo = true),
    Porta(_id = "18", descricao = "Porta D3", ambiente = "Bloco D", ativo = true),
    Porta(_id = "19", descricao = "Porta D4", ambiente = "Bloco D", ativo = true),
    Porta(_id = "20", descricao = "Porta D5", ambiente = "Bloco D", ativo = true),
    Porta(_id = "21", descricao = "SEAN", ambiente = "Bloco D", ativo = true),
)

val sampleDataGroupDoors = listOf(
    GrupoPorta(
        _id = "1",
        nome = "Salas de Informática",
        descricao = "Todas as portas de salas de Informática",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco A" } ),
    GrupoPorta(
        _id = "2",
        nome = "Salas de Arquitetura e Urbanismo",
        descricao = "Todas as portas das salas de Arquitetura e Urbanismo",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco B" } ),
    GrupoPorta(
        _id = "3",
        nome = "Salas de ADS",
        descricao = "Todas as salas de ADS",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco C" } ),
    GrupoPorta(
        _id = "4",
        nome = "Salas de Matemática",
        descricao = "Todas as salas de Matemática",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco D" })
)

val sampleDataGroupUser = listOf(
    GrupoUsuario(
        _id = "1",
        nome = "Alunos de Informática",
        descricao = "Alunos Matutino do IFRO",
        ativo = true,
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Informática"}
    ),
    GrupoUsuario(
        _id = "2",
        nome = "Salas de Arquitetura e Urbanismo",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Arquitetura e Urbanismo"}
    ),
    GrupoUsuario(
        _id = "3",
        nome = "Alunos de ADS",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de ADS"}
    ),
    GrupoUsuario(
        _id = "4",
        nome = "Alunos de Matemática",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Matemática"}
    )
)

val sampleData = listOf(
    Usuario(_id = "1", nome = "Vinicius Daniel", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }) ,
    Usuario(_id = "2", nome = "Guilherme", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "3", nome = "Fábio", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "4", nome = "Lucineia", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "5", nome = "Aminah", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "6", nome = "Cristopher", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "7", nome = "Mateus", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "8", nome = "Pablo", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "9", nome = "Theodoro", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "10", nome = "Alexandre", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "11", nome = "Wilgler", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "12", nome = "Gabriely", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "13", nome = "Mirelle", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "14", nome = "Luccas", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "15", nome = "Gustavo", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "16", nome = "José Junior", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" }),
    Usuario(_id = "17", nome = "Yasmin", email = "teste@example.com", ativo = true, grupoUsuarios = sampleDataGroupUser.filter { it.nome == "Alunos de Informática" })
)