package com.br.fechadura.mobile.ui.components

import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Search
import androidx.compose.material3.Icon
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier

@Composable
fun SearchTextField(
    searchText: String ,
    onSearchChange: (String) -> Unit ,
    modifier: Modifier = Modifier
) {
    OutlinedTextField(
        value = searchText ,
        onValueChange = { newValue ->
            onSearchChange(newValue)
        } ,
        modifier ,
        shape = RoundedCornerShape(100) ,
        leadingIcon = {
            Icon(Icons.Default.Search , contentDescription = "ícone de lupa")
        } ,
        label = {
            Text(text = "Nome")
        } ,
        placeholder = {
            Text("O que você procura?")
        })
}