package com.br.fechadura.mobile.viewModel

import android.app.Application
import androidx.compose.runtime.State
import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.viewModelScope
import com.br.fechadura.mobile.api.response.GrupoPortaResponseBody
import com.br.fechadura.mobile.api.response.GrupoPortasResponseBody
import com.br.vini.compose.api.ApiRepository
import com.br.vini.compose.api.ApiState
import kotlinx.coroutines.launch

class GrupoPortasViewModel(
    private val application: Application
) : AndroidViewModel(application) {
    private val apiRepository = ApiRepository()

    private val _grupoPortasResponseBody = mutableStateOf<ApiState<GrupoPortasResponseBody>>(ApiState.Created())
    val grupoPortasResponseBody : State<ApiState<GrupoPortasResponseBody>> = _grupoPortasResponseBody

    fun getGrupoPortas() {
        viewModelScope.launch {
            _grupoPortasResponseBody.value = ApiState.Loading()
            _grupoPortasResponseBody.value = apiRepository.getGrupoPortas()
        }
    }

    private val _grupoPortaResponseBody = mutableStateOf<ApiState<GrupoPortaResponseBody>>(ApiState.Created())
    val grupoPortaResponseBody : State<ApiState<GrupoPortaResponseBody>> = _grupoPortaResponseBody

    fun getGrupoPortaById(id: String) {
        viewModelScope.launch {
            _grupoPortaResponseBody.value = ApiState.Loading()
            _grupoPortaResponseBody.value = apiRepository.getGrupoPortaById(id)
        }
    }
}