package com.br.fechadura.mobile.viewModel

import android.app.Application
import androidx.compose.runtime.State
import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.viewModelScope
import com.br.fechadura.mobile.api.response.PortaResponseBody
import com.br.fechadura.mobile.api.response.PortasResponseBody
import com.br.vini.compose.api.ApiRepository
import com.br.vini.compose.api.ApiState
import kotlinx.coroutines.launch

class PortasViewModel(
    private val application: Application
) : AndroidViewModel(application) {
    private  val apiRepository = ApiRepository()

    private val _allPortas = mutableStateOf<ApiState<PortasResponseBody>>(ApiState.Created())
    val allPortas: State<ApiState<PortasResponseBody>> = _allPortas

    fun getAllPortas() {
        viewModelScope.launch {
            _allPortas.value = ApiState.Loading()
            _allPortas.value = apiRepository.getAllPortas()
        }
    }

    private val _portasResponseBody = mutableStateOf<ApiState<PortasResponseBody>>(ApiState.Created())
    val portasResponseBody: State<ApiState<PortasResponseBody>> = _portasResponseBody

    fun getPortas() {
        viewModelScope.launch {
            _portasResponseBody.value = ApiState.Loading()
            _portasResponseBody.value = apiRepository.getPortas()
        }
    }

    private val _portaResponse = mutableStateOf<ApiState<PortaResponseBody>>(ApiState.Created())
    val portaResponse: State<ApiState<PortaResponseBody>> = _portaResponse

    fun getPortaById(id: String) {
        viewModelScope.launch {
            _portaResponse.value = ApiState.Loading()
            _portaResponse.value = apiRepository.getPortaById(id)
        }
    }
}